| Classes - Annotated - Tree - Functions - Home - Structure

# QDomDocumentFragment Class Reference
[ XML module ]

The QDomDocumentFragment class is a tree of QDomNodes which is usually not a complete QDomDocument. More...

`#include <qdom.h>`

Inherits QDomNode.

List of all member functions.

## Public Members

- QDomDocumentFragment ()
- QDomDocumentFragment ( const QDomDocumentFragment & x )
- QDomDocumentFragment& operator= ( const QDomDocumentFragment & )
- ~QDomDocumentFragment ()
- virtual QDomNode::NodeType nodeType () const
- virtual bool isDocumentFragment () const

## Detailed Description

The QDomDocumentFragment class is a tree of QDomNodes which is usually not a complete QDomDocument.

If you want to do complex tree operations it is useful to have a lightweight class to store nodes and their relations. QDomDocumentFragment stores a subtree of a document which does not necessarily represent a well-formed XML document.

QDomDocumentFragment is also useful if you want to group several nodes in a list and insert them all together as children of some node. In these cases QDomDocumentFragment can be used as a temporary container for this list of children.

The most important feature of QDomDocumentFragment is, that it is treated in a special way by QDomNode::insertAfter(), QDomNode::insertBefore() and QDomNode::replaceChild(): instead of inserting the fragment itself, all children of the fragment are inserted.

## Member Function Documentation

### QDomDocumentFragment::QDomDocumentFragment ()

Constructs an empty DocumentFragment.

### QDomDocumentFragment::QDomDocumentFragment ( const QDomDocumentFragment & x )

Copy constructor.

The data of the copy is shared: modifying one will also change the other. If you want to make a real copy, use cloneNode() instead.

### QDomDocumentFragment::~QDomDocumentFragment ()

Destructor.

### bool QDomDocumentFragment::isDocumentFragment () const `[virtual]`

This function reimplements QDomNode::isDocumentFragment().

See also nodeType() and QDomNode::toDocumentFragment().

Reimplemented from QDomNode.

### QDomNode::NodeType QDomDocumentFragment::nodeType() const `[virtual]`

Returns `DocumentFragment.`

See also isDocumentFragment() and QDomNode::toDocumentFragment().

Reimplemented from QDomNode.

### QDomDocumentFragment& QDomDocumentFragment::operator= ( const QDomDocumentFragment & x )

Assignment operator.

The data of the copy is shared: modifying one will also change the other. If you want to make a real copy, use cloneNode() instead.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2000 Trolltech, all rights reserved.